package md

const (
	FlowDirectionIncome      = 1 //流水 - 收入
	FlowDirectionExpenditure = 2 //流水 - 支出
)

const (
	RedisDataBase             = 2 //TODO::区块星链的缓存统一存入redis 2 号库
	UserVirtualAmountRedisKey = "%s:user_virtual_amount:%d:user:%d"
)

const (
	StaticAreaDistributionTitleForUserVirtualCoinFlow                   = "区块星链-静态区发放"
	DynamicAreaDistributionTitleForUserVirtualCoinFlow                  = "区块星链-动态区发放"
	StaticIssueAndDestroyStaticContributionTitleForUserVirtualCoinFlow  = "区块星链-静态发放(销毁静态贡献值)"
	DynamicIssueAndDestroyStaticContributionTitleForUserVirtualCoinFlow = "区块星链-动态发放(销毁静态贡献值)"
)
const (
	StaticAreaDistributionTransferTypeForUserVirtualCoinFlow                   = 100
	DynamicAreaDistributionTransferTypeForUserVirtualCoinFlow                  = 101
	StaticIssueAndDestroyStaticContributionTransferTypeForUserVirtualCoinFlow  = 102
	DynamicIssueAndDestroyStaticContributionTransferTypeForUserVirtualCoinFlow = 103
)

const DealUserCoinRequestIdPrefix = "%s:block_star_chain_deal_user_coin:%d:uid:%d"

type DealUserCoinReq struct {
	Kind         string  `json:"kind"`
	Mid          string  `json:"mid"`
	Title        string  `json:"title"`
	TransferType int     `json:"transfer_type"`
	OrdId        string  `json:"ord_id"`
	CoinId       int     `json:"coin_id"`
	Uid          int     `json:"uid"`
	Amount       float64 `json:"amount"`
}
